#
# set environment to build the 'oldstable' version
#

export ASTER_BRANCH_ID=v14_python3

# devtools environment
DEVTOOLS_ROOT=$(dirname $(dirname ${BASH_SOURCE}))
. ${DEVTOOLS_ROOT}/etc/env_legacy.sh $*

# cronos
if [ "${DEVTOOLS_COMPUTER_ID}" = "cronos" ]; then
    . ${ASTER_INSTALLROOT}/prerequisites/20190513-med41/gcc8-mkl-seq/cronos_std.sh
    # keep rootdir first (for as_run)
    export PATH=${ASTER_INSTALLROOT}/bin:${PATH}
fi

# eole
if [ "$DEVTOOLS_COMPUTER_ID" = "eole" ]; then
    module load ifort/2016.0.047 icc/2016.0.047 mkl/2016.0.047
    . ${ASTER_ROOT}/public/${ASTER_BRANCH_ID}/salome_prerequisites.sh
    unset PYTHONHOME
    # for salome and europlexus installation directories
    export PATH=${ASTER_ROOT}/public/${ASTER_BRANCH_ID}/prerequisites/Code_europlexus-EPXD_09_18/bin:${PATH}
    export PATH=${ASTER_ROOT}/salomemeca/appli_V2018:${PATH}
    export ECREVISSE_ROOT_DIR=${ASTER_ROOT}/public/${ASTER_BRANCH_ID}/tools/Ecrevisse-322
fi

# gaia
if [ "$DEVTOOLS_COMPUTER_ID" = "gaia" ]; then
    module load ifort/2019.0.045 icc/2019.0.045 mkl/2019.0.045
    . /projets/simumeca/public_INTEL2019/${ASTER_BRANCH_ID}/salome_prerequisites.sh
    unset PYTHONHOME
    # for external programs
    export PATH=${ASTER_ROOT}/public_INTEL2019/${ASTER_BRANCH_ID}/prerequisites/Code_europlexus-EPXD_09_18/bin:${PATH}
    export PATH=${ASTER_ROOT}/salomemeca/appli_V2018:${PATH}
    export ECREVISSE_ROOT_DIR=${ASTER_ROOT}/public_INTEL2019/${ASTER_BRANCH_ID}/tools/Ecrevisse-322
fi

# gaia with gcc
if [ "$DEVTOOLS_COMPUTER_ID" = "gaia_gcc" ]; then
    . /projets/simumeca/public_gcc/${ASTER_BRANCH_ID}/salome_prerequisites.sh
    unset PYTHONHOME
fi

# calibre9
if [ "$DEVTOOLS_COMPUTER_ID" = "calibre9_user" ]; then
    module load python/3.6.5 numpy/1.15.1 python3-scipy/0.19.1 python3-matplotlib/2.2.2 python3-sphinx/1.7.6 boost/1.58.0 hdf5/1.10.3
    # for salome installation directory
    export PATH=/home/rd-ap-simumeca/salome_meca/appli:${PATH}
fi

# scibian9
if [ "$DEVTOOLS_COMPUTER_ID" = "scibian9_user" ]; then
    module load python/3.6.5 numpy/1.15.1 python3-scipy/0.19.1 python3-matplotlib/2.2.2 python3-sphinx/1.7.6 boost/1.58.0 hdf5/1.10.3
fi

# clap0f0q
if [ "$DEVTOOLS_COMPUTER_ID" = "clap0f0q" ]; then
    . ${ASTER_INSTALLROOT}/etc/codeaster/profile_gcc49.sh
    . ${ASTER_INSTALLROOT}/public/${ASTER_BRANCH_ID}/salome_prerequisites.sh
    unset PYTHONHOME
fi
